package com.mq.mylibrary.popupwindow;

/**
 * 创建人 mQ
 * 创建时间 2019/6/20 0020 18:29
 * 文件名称 SpinnerOption
 * 说明:  选项实体类
 **/
public class SpinnerOption {
    public static final int match_parent = 1;
    public static final int wrap_content = 2;

    public int logo;
    public String name;
    public Object value;
    public int itemType = match_parent;

    public SpinnerOption(String name, Object value) {
        this.name = name;
        this.value = value;
    }

    public SpinnerOption(int logo, String name, Object value) {
        this.logo = logo;
        this.name = name;
        this.value = value;
    }

    public SpinnerOption(String name) {
        this.name = name;
    }

    public SpinnerOption(int logo, String name) {
        this.logo = logo;
        this.name = name;
    }
}
