package com.mq.mylibrary.rfid.io.translate.frame;

public class ApduFrame {

	public static short APDU_RESP_OK =  (short) 0x9000;
	
	public static int APDU_BUF_LEN = 256 * 2;
	
	public byte CLA;
	public byte INS;
	public byte P1;
	public byte P2;
	public byte Lc;
	public byte[] DATA = new byte[APDU_BUF_LEN];
	public byte Le;
	
	public byte SW1;
	public byte SW2;
	public byte tag;
	public byte len;
	public byte[] value;
	
	public static void fm_init_get_challenge(ApduFrame af, byte len){
		af.CLA = 0x00;
		af.INS = (byte) 0x84;
		af.P1 = 0x00;
		af.P2 = 0x00;
		af.Lc = (byte) 0xFF;
		af.Le = len;
	}
	
}
