package com.mq.zhuangchefaka.db;

import com.mq.mylibrary.db.BaseEntity;

import java.io.Serializable;

/**
 * 创建人 mQ
 * 创建时间 2019/8/19 0019 10:34
 * 文件名称 ZhuangCheEntity
 * 说明:
 * create TABLE `zhuang_che_fa_ka` (
 * `id` INTEGER PRIMARY KEY AUTOINCREMENT,
 * `inbound_code` varchar(2000) DEFAULT NULL COMMENT '入站单号',
 * `train_code` varchar(2000) DEFAULT NULL COMMENT '火车皮号',
 * `customer` varchar(2000) DEFAULT NULL COMMENT '客户名称',
 * `grain_id` varchar(2000) DEFAULT NULL COMMENT '粮油品种id',
 * `platform_name` varchar(2000) DEFAULT NULL COMMENT '站台',
 * `position_name` varchar(2000) DEFAULT NULL COMMENT '货位',
 * `car` varchar(2000) DEFAULT NULL COMMENT '车辆编号',
 * `finish_count` varchar(2000) DEFAULT NULL COMMENT '装车件数',
 * `work_team` varchar(2000) DEFAULT NULL COMMENT '作业队',
 * `work_group` varchar(2000) DEFAULT NULL COMMENT '作业组',
 * `entd` varchar(2000) DEFAULT NULL COMMENT '登记人',
 * `load_time` varchar(2000) DEFAULT NULL COMMENT '装车时间'
 * ) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='装车发卡表';
 **/
public class ZhuangCheEntity extends BaseEntity implements Serializable {

    //入站单号
    public String inbound_code;
    //火车皮号
    public String train_code;
    //客户名称
    public String customer;
    //粮油品种id
    public String grain_id;
    //站台
    public String platform_name;
    //货位
    public String position_name;
    //车辆编号
    public String car;
    //装车件数
    public String finish_count;
    //作业队
    public String work_team;
    //作业组
    public String work_group;
    //登记人
    public String entd;
    //装车时间
    public String load_time;
    //粮油品种
    public String grain;
    //业务标识
    public String work_flg;

    /**
     * 获取写入信息
     */
    public String getWriteData() {
        return handleDatas(
                inbound_code,
                train_code,
                customer,
                grain_id,
                platform_name,
                position_name,
                car,
                finish_count,
                work_team,
                work_group,
                entd,
                load_time,
                "hcrkqczc"
        );
    }
}
